package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计对象 b_stat_table_zxbg_gas_emission_statistics
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_gas_emission_statistics")
public class BStatTableZxbgGasEmissionStatistics extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "类型")
    /** 类型 */
    @Excel(name = "类型")
    private String zxbgPollutantType;


    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    private String pollutantName;


    @ApiModelProperty(value = "设施名称")
    /** 设施名称 */
    @Excel(name = "设施名称")
    private String facilityName;


    @ApiModelProperty(value = "生产设施/无组织排放编号")
    /** 生产设施/无组织排放编号 */
    @Excel(name = "生产设施/无组织排放编号")
    private String facilitiesCode;


    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    @Excel(name = "监测时间")
    private String monitoringTime;


    @ApiModelProperty(value = "监测次数")
    /** 监测次数 */
    @Excel(name = "监测次数")
    private Long monitoringNumber;


    @ApiModelProperty(value = "许可排放浓度限值")
    /** 许可排放浓度限值 */
    @Excel(name = "许可排放浓度限值")
    private String emissionConcentration;


    @ApiModelProperty(value = "浓度监测结果（小时浓度）")
    /** 浓度监测结果（小时浓度） */
    @Excel(name = "浓度监测结果（小时浓度）")
    private String monitoringResultsHour;


    @ApiModelProperty(value = "浓度监测结果（折标，小时浓度）")
    /** 浓度监测结果（折标，小时浓度） */
    @Excel(name = "浓度监测结果（折标，小时浓度）")
    private String monitoringFoldsHour;


    @ApiModelProperty(value = "是否超标:0否1是")
    /** 是否超标:0否1是 */
    @Excel(name = "是否超标")
    private String isExceeded;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }

    public String getIsExceeded() {
        return isExceeded;
    }

    public void setIsExceeded(String isExceeded) {
        if(StringUtils.isNotBlank(isExceeded)){
            if(isExceeded.equals("0")){this.isExceeded = "否";}
            if(isExceeded.equals("1")){this.isExceeded = "是";}
        }else {
            this.isExceeded = isExceeded;
        }
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("zxbgPollutantType", getZxbgPollutantType())
            .append("pollutantName", getPollutantName())
            .append("facilityName", getFacilityName())
            .append("facilitiesCode", getFacilitiesCode())
            .append("monitoringTime", getMonitoringTime())
            .append("monitoringNumber", getMonitoringNumber())
            .append("emissionConcentration", getEmissionConcentration())
            .append("monitoringResultsHour", getMonitoringResultsHour())
            .append("monitoringFoldsHour", getMonitoringFoldsHour())
            .append("isExceeded", getIsExceeded())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .toString();
    }
}
